Bug 1472279 - [RFE] expand the api to provide more information related to infrastructure providers
Summary: [RFE] expand the api to provide more information related to infrastructure pr...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: API
Version: unspecified
Hardware: All
OS: All
high
medium
Target Milestone: MVP
: 5.10.0
Assignee: Gregg Tanzillo
QA Contact: Martin Kourim
URL:
Whiteboard: api
Depends On:
Blocks: 1555371 1597403
TreeView+ depends on / blocked
 
Reported: 2017-07-18 10:51 UTC by Felix Dewaleyne
Modified: 2019-02-07 23:02 UTC (History)
8 users (show)

Fixed In Version: 5.10.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-07 23:02:36 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0212 None None None 2019-02-07 23:02:47 UTC

Description Felix Dewaleyne 2017-07-18 10:51:51 UTC
private note impending

Comment 3 Felix Dewaleyne 2017-08-03 09:09:18 UTC
the customer shared an additional requirement for the api call to list all networks : they want an array of all the hosts which have that network

"list all LANs and into specific LAN you will have attribute 'ems_id' - array of all hosts on which is LAN associated."

Comment 7 Jillian Tullo 2018-03-06 18:57:41 UTC
Part 1: https://github.com/ManageIQ/manageiq-api/pull/338

Comment 10 Martin Kourim 2018-07-11 07:25:56 UTC
Verified on 5.10.0.3 that it's possible to obtain the info customer wanted using:
GET /api/providers/:id/lans
GET /api/hosts/:id/lans
GET /api/providers/:id/networks
GET /api/providers/:id/folders

or in a single query:
GET /api/providers/:id?expand=resources,lans,networks,folders

Comment 11 errata-xmlrpc 2019-02-07 23:02:36 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212


Note You need to log in before you can comment on or make changes to this bug.